Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006172 [DCSS] Bug Report minor always 2012-09-05 18:54 2013-01-17 20:17
Reporter Kate View Status public  
Assigned To neil
Priority normal Resolution done  
Status closed   Product Branch 0.12 ancient branch
Summary 0006172: Many innate abilities are incorrectly suppressed
Description In many cases, calls to "wearing_amulet(AMU_SOMETHING)" are ignored when in a suppression aura. This results in extrinsic_amulet_effect being suppressed - so tengu/draconian controlled flight, Jiyva corrosion resistance, troll gourmand (and possibly other effects?) are all incorrectly suppressed.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0019964)
KiloByte (manager)
2012-09-06 07:39

wearing_amulet() really shouldn't check for innate abilities.
(0020646)
neil (administrator)
2012-12-17 06:09

Fixed in trunk (0.12-a0-1365-g251c4ee).

- Issue History
Date Modified Username Field Change
2012-09-05 18:54 Kate New Issue
2012-09-05 18:55 Kate Summary Many innate abilities are suppressed => Many innate abilities are incorrectly suppressed
2012-09-05 19:27 Kate Status new => assigned
2012-09-05 19:27 Kate Assigned To => Kate
2012-09-05 19:27 Kate Assigned To Kate =>
2012-09-05 19:40 Wensleydale Issue Monitored: Wensleydale
2012-09-05 19:53 Wensleydale Status assigned => acknowledged
2012-09-05 19:53 Wensleydale Status acknowledged => assigned
2012-09-06 07:39 KiloByte Note Added: 0019964
2012-12-17 04:58 neil Assigned To => neil
2012-12-17 06:09 neil Note Added: 0020646
2012-12-17 06:10 neil Status assigned => resolved
2012-12-17 06:10 neil Fixed in Branch => 0.12 development branch
2012-12-17 06:10 neil Resolution open => done
2013-01-17 20:17 Kate Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker